Skip to main content
PATCH
/
v1
/
affiliations
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/affiliations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "affiliation": {
    "bio": "I have 1 million followers!"
  }
}
'
import requests

url = "https://{defaultHost}/v1/affiliations/{id}"

payload = { "affiliation": { "bio": "I have 1 million followers!" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({affiliation: {bio: 'I have 1 million followers!'}})
};

fetch('https://{defaultHost}/v1/affiliations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "65967b81-1ea4-4efd-bc73-59d4ac78b639",
  "object": "affiliation",
  "active": true,
  "bio": "I have 1 million followers!",
  "code": "56675CCE",
  "email": "huong.koss@medhurst.example",
  "first_name": "Huong",
  "last_name": "Koss",
  "metadata": {},
  "payout_email": null,
  "url": null,
  "portal_url": "http://app.example.com/portal_redirect/affiliations/65967b81-1ea4-4efd-bc73-59d4ac78b639",
  "referral_urls": [
    "?aff=56675cce"
  ],
  "total_commission_amount": 0,
  "total_not_paid_commission_amount": 0,
  "commission_structure": null,
  "discarded_at": null,
  "created_at": 1782485804,
  "updated_at": 1782485804
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
affiliation
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

active
boolean

Whether or not the affiliate is active.

affiliation_products

Expandable – Property not returned unless expanded.

commission_structure

Expandable – The associated commission structure ID.

portal_url
string | null

A URL that will redirect to this affiliation's correct portal page (hosted or external).

referral_url
string

The referral URL with the affiliate's code appended as a query parameter.

total_commission_amount
integer

The total commission amount earned by the affiliate.

total_not_paid_commission_amount
integer

The total commission amount earned by the affiliate that has not been paid out yet.

clicks

Expandable – Property not returned unless expanded.

referrals

Expandable – Property not returned unless expanded.

payouts

Expandable – Property not returned unless expanded.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.